Skip to main content
GET
Per-customer aggregations + drill-down series

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

Organization ID

customerId
string
required

Customer record ID

Query Parameters

to
string

ISO-8601 end.

from
string

ISO-8601 start.

Response

customer
object
required

The customer record.

purchaseCount
number
required

Count of purchase transactions in range.

Example:

4

totalSpent
string
required

Sum of purchase prices in range, serialised as a string (bigint).

Example:

"12000000"

timeSeries
object[]
required

Gap-filled daily series.

from
string
required

Start of the requested window (ISO-8601).

Example:

"2026-03-01T00:00:00.000Z"

to
string
required

End of the requested window (ISO-8601).

Example:

"2026-05-30T23:59:59.000Z"